using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;
using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Shared;

namespace PieChart
{
	
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		string[] input=new string[]
{
	"2.00% Alliance Berstein Intl. Eq ABIAX",
	"9.00% Allianz: CCM Capital Appreciation PCFAX",
	"9.00% Eaton Vance Large Cap Value A EHSTX",
	"8.00% Evergreen International Bond A ESIYX",
	"8.00% PIMCO Real Ret A PRTNX",
	"23.00% Metro West Total Ret MWTRX",
	"35.00% Fidelity Adv Short F/I A FSFAX",
	"6.00% Federated Auto Cash Mgt ACMXX", 
		};

		private System.ComponentModel.Container components = null;
		//private panel1 as new Panel();
		
		public Form1()
		{
			
			InitializeComponent();

		}

		
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.button1 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(96, 40);
			this.button1.Name = "button1";
			this.button1.TabIndex = 4;
			this.button1.Text = "Load";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(272, 110);
			this.Controls.Add(this.button1);
			this.Name = "Form1";
			this.Text = "Form1";
			
			this.ResumeLayout(false);

		}
		#endregion

		
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

	
		private void button1_Click(object sender, System.EventArgs e)
		{		
		
			CreateChart(input,"File1.emf");
			CreatePDF("File1.emf");
			this.Close();

		}
		
		private void CreateChart(string[] input,string filename)
		{

			//creating chartcontrol1
			ChartControl Chart1=new ChartControl();
			Chart1.Palette=ChartColorPalette.WarmCold;
			
			ChartSeries series1 = Chart1.Model.NewSeries("Market");
			series1.Points.Add(0, 2);
			series1.Points.Add(1, 9);
			series1.Points.Add(2, 9);
			series1.Points.Add(3, 8);
			series1.Points.Add(4, 8);
			series1.Points.Add(5, 23); 
			series1.Points.Add(6, 35); 
			series1.Points.Add(7, 6); 
			series1.ExplodedAll =true;
			series1.OptimizePiePointPositions=true;
			series1.ExplosionOffset=7;
			series1.Type = ChartSeriesType.Pie;	

			Chart1.Text="Standard & Poor's capital preservation Fund Allocation";
			Chart1.TextAlignment=StringAlignment.Center;
			Chart1.Legend.Border.DashStyle=DashStyle.Custom;
			Chart1.Legend.Border.Width=0;
			Chart1.Legend.Position=ChartDock.Right;
			Chart1.Series.Add(series1);
		
			for( int i=0;i<input.Length;i++)
			{
				Chart1.Legend.Items[i].Text =input[i];
				Chart1.Legend.Items[i].Type =ChartLegendItemType.Rectangle;
				Chart1.Legend.Items[i].Font = new Font("Times New Roman",10);
			}
			
			
			Chart1.Legend.Border.ForeColor=Color.Transparent;
			Chart1.Legend.ItemsSize=new Size(3,3);	
			Chart1.SaveImage(filename );

		}

		private void CreatePDF(string filename)
		{
			PDFDocument pdfDoc=new PDFDocument();
			CreatePDFHeader(pdfDoc);
			System.Drawing.Imaging.Metafile metafile=new System.Drawing.Imaging.Metafile(filename);
			pdfDoc.LastPage.Graphics.DrawImage(new PointF(10,10),metafile);
			pdfDoc.Save("Sample.pdf");
			System.Diagnostics.Process.Start("Sample.pdf");

		}
		private void CreatePDFHeader(PDFDocument doc)
		{

			//set properties
			IPDFGraphicState props = doc.CreateGraphicState();
			props.TextAlignment = TextAlignment.Center;
			props.ForeColor = Color.DarkBlue;
			props.BreakBehavior = AutoBreakBehavior.Cropping;

			IPDFFont headerFont = doc.Fonts.Add( FontBaseFamily.HelveticaBold );
			headerFont.Size = 12;
			//create template
			PDFTemplateArea header = doc.Templates.Add(new SizeF( doc.LastPage.DrawingWidth, 80 ) );

			float width = doc.LastPage.DrawingWidth;

			SizeF headerSize = header.Size;
			//set line properties
			IPDFGraphicState props1 = doc.CreateGraphicState();
			props1.ForeColor=Color.Red;

			//draw line
			
			props1.Pattern = PDFDashPattern.CreateDashPattern(DashStyle.Dot,1);
                        		
			header.Graphics.DrawLine( 45,headerSize.Height, width, headerSize.Height,props1 );

			//getting images
			Image  img1 = Image.FromFile( @"..\..\image1.bmp");
			Image  img2 = Image.FromFile(@"..\..\image2.bmp");

			//draw images
			header.Graphics.DrawImage( new PointF(10,0), img1 );
			header.Graphics.DrawImage(new PointF(400,0),img2);
			
			//draw text
			header.Graphics.DrawText(new PointF(100,50),"Standard & Poor's Model Holdings",headerFont,props);
doc.Templates.Header =header;
			

		}
		
	}
}